## org.hibernate.loader
Class MultipleBagFetchException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.loader.MultipleBagFetchException

All Implemented Interfaces:
  Serializable

    public class MultipleBagFetchException

extends HibernateException

Exception used to indicate that a query is attempting to simultaneously fetch multiple `bags`

Author:
  Steve Ebersole
See Also:
  Serialized Form

Constructor Summary
`MultipleBagFetchException(List bagRoles)`

Method Summary
`List` `getBagRoles()` Retrieves the collection-roles for the bags encountered.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MultipleBagFetchException

    public MultipleBagFetchException(List bagRoles)

Method Detail

### getBagRoles

    public List getBagRoles()

  Retrieves the collection-roles for the bags encountered.

  Returns:
    The bag collection roles.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.